--[[

Stage: 4
Title: Eternal forest

This is a LUA script for the Game called "NewoShooter"

VISIT THE "NEWO SHOOTER" PAGE ON HTTP://WWW.WIIBREW.ORG FOR MORE INFO
DEVELOPED BY OWEN ( HTTP://WWW.OWENSOFT.NET )

Hopefully this way I can get other people to help build stages and interactions
I may add new features and options to the API, check the game's on the wiibrew.org wiki

Version: 1
Game Version: 1.65


--]]

--system

require("global.lua")


--[[
Add stuff to the level, run once
--]]

function level_setup()

	game_reset();

	ge.effect_fog=true;
	ge.effect_fog_color=GRRLIB_OLIVE;

	ge.stage_has_floor=false;
	ge.stage_gravity=-5;
	ge.effect_landinglights=true;
	ge.terrain_color_threshold=100;
	ge.terrain_height=170;

	--set up custom stuff

	for i=0,150,1 do --fill the rest of the array with stuff
		temp=math.random(1,3);

		if temp==1 then
			set_obj_type( i, ENEMY, 0 );
			set_obj_point( i, math.random(-900,900), math.random(-50, 500), math.random(ge.max_z,0) );
		end
		if temp==2 then
			set_obj_type( i, GRASS, 0 );
		end
		if temp==3 then
			set_obj_type( i, CLOUD, 0 );
		end

		set_obj_active(i, true);
	end

	set_obj_q( ge.obj_max-3, TERRAIN, 0, ge.stage_floor, -16000 );
	set_obj_color( ge.obj_max-3, GRRLIB_GREEN, 0 );

	set_obj_q( ge.obj_max-2, BOSS, 0, 0, ge.max_z );
	set_obj_q( ge.obj_max-1, LEVELEND, 0, 0, ge.max_z );

	game_init();

end --stage setup


--[[
monitor the level, run every frame
--]]

function level_render()
end
